#!/usr/bin/env node

/**
 * Test for index.js
 * Runs with nodeunit.
 */

"use strict";


var worker = require('./index.js'),
    fs = require('fs');

var mockContext = {
    logger: {
        debug: function () {
        }
    }
};

exports['Run worker with varg'] = function (test) {
    var workDirname = ('tmp/_test_work_dir' + new Date().getTime());
    worker(mockContext,
        __dirname,
        workDirname,
        function (err) {
            fs.rmdirSync(workDirname);
            test.ifError(err);
            test.done();
        });
};

